Name:           sim990
Version:        1.6.6
Release:        1%{?dist}
Summary:        TI 990 simulator

Group:          Application/Emulators
License:        Public Domain
URL:            http://www.cozx.com/~dpitts/ti990.html
Source0:        ftp://www.cozx.com/pub/ti990/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.6.6-build.patch


%description
sim990 is a simulator for the TI 990 computer. It supports the TMS-9900
and TI-990/10 instruction set with interrupts. The TILINE and memory mapping
is supported. This version also runs DX10 and the DOCS diagnostics disks.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .build

# fix ROM path
sed -i.paths 's|/usr/local/share|%{datadir}|g' sim990.c


%build
# parallel make doesn't work
make DEBUG="$RPM_OPT_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install INSTDIR=$RPM_BUILD_ROOT%{_bindir} ROMDIR=$RPM_BUILD_ROOT%{_datadir}/%{name}


%files
%doc README.txt
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Sun Apr 15 2012 Dan Horák <dan[at]danny.cz> - 1.6.6-1
- initial Fedora version
